<Alte::Card @type="warning">
  <Alte::Card::Header @title={{t "components.loan.credit-score.parameters.title"}} @titleIcon="flask" />
  <Alte::Card::Body>
    <BsForm @formLayout="vertical" as |form|>
      <Form::Amount
        @form={{form}}
        @hint={{t "components.saving.financial-freedom.parameters.current-wealth-hint"}}
        @label={{t "components.saving.financial-freedom.parameters.current-wealth"}}
        @onChange={{this.setCurrentWealth}}
        @step={{1000}}
        @value={{@parameters.currentWealth}}
        @valueMax={{@parameters.currentWealthMax}}
      />

      <Form::ShortSeparator />
      <Form::Amount
        @form={{form}}
        @hint={{t "components.saving.financial-freedom.parameters.income-hint"}}
        @label={{t "components.saving.financial-freedom.parameters.income"}}
        @onChange={{this.setIncome}}
        @step={{100}}
        @value={{@parameters.income}}
        @valueMax={{@parameters.incomeMax}}
      />
      <Form::Percentage
        @form={{form}}
        @hint={{t "components.saving.financial-freedom.parameters.income-growth-hint"}}
        @label={{t "components.saving.financial-freedom.parameters.income-growth"}}
        @onChange={{this.setIncomeGrowth}}
        @step={{0.1}}
        @value={{@parameters.incomeGrowth}}
        @valueMax={{@parameters.incomeGrowthMax}}
      />

      <Form::ShortSeparator />
      <Form::Amount
        @form={{form}}
        @hint={{t "components.saving.financial-freedom.parameters.expenses-hint"}}
        @label={{t "components.saving.financial-freedom.parameters.expenses"}}
        @onChange={{this.setExpenses}}
        @step={{100}}
        @value={{@parameters.expenses}}
        @valueMax={{@parameters.expensesMax}}
      />
      <Form::Percentage
        @form={{form}}
        @hint={{t "components.saving.financial-freedom.parameters.inflation-hint"}}
        @label={{t "components.saving.financial-freedom.parameters.inflation"}}
        @onChange={{this.setInflation}}
        @step={{0.1}}
        @value={{@parameters.inflation}}
        @valueMax={{@parameters.inflationMax}}
      />

      <Form::ShortSeparator />
      <Form::Percentage
        @form={{form}}
        @hint={{t "components.saving.financial-freedom.parameters.yield-hint"}}
        @label={{t "components.saving.financial-freedom.parameters.yield"}}
        @onChange={{this.setYield}}
        @step={{0.1}}
        @value={{@parameters.yield}}
        @valueMax={{@parameters.yieldMax}}
      />
    </BsForm>
  </Alte::Card::Body>
</Alte::Card>